## tuxpaint-stamps 2003.12.23

=== Makefile ===
# Makefile for tuxpaint-stamps

# Tux Paint - A simple drawing program for children.
# This is a collection of 'rubber stamp' images for Tux Paint.

# Copyright (c) 2003 by Bill Kendrick
# bill@newbreedsoftware.com
# http://www.newbreedsoftware.com/tuxpaint/

# September 6, 2002 - January 27, 2003


# Where to install things:

PREFIX=/usr/local


# Data:

DATA_PREFIX=$(PREFIX)/share/tuxpaint/


# "make" with no arguments provides info on installing tuxpaint stamps:

all:
	@echo
	@echo "To install these Tux Paint stamps, run 'make install'"
	@echo "(probably as 'root' superuser)"
	@echo
	@echo "The stamps will be placed in:"
	@echo "  $(DATA_PREFIX)stamps"
	@echo
	@if [ -x "`which tuxpaint`" ]; then echo ""; else \
	echo "(Tux Paint doesn't appear to be installed, though!!!)"; \
	echo; fi


clean:
	@echo
	@echo "There's no source here, so 'make clean' doesn't make sense!"
	@echo




# "make install" installs the stamps
# (depending on the *PREFIX variables at the top, you probably need
# to do this as superuser ("root"))

install:	install-stamps
	@echo
	@echo "All done! Now (preferably NOT as 'root' superuser),"
	@echo "you can type the command 'tuxpaint' to run the program and"
	@echo "see these stamps!!!"
	@echo
	@echo "For more information, see the 'tuxpaint' man page,"
	@echo "run 'tuxpaint --usage' or see $(DOC_PREFIX)README.txt"
	@echo
	@if [ -x "`which tuxpaint`" ]; then echo "Enjoy!"; else \
	echo "(Tux Paint doesn't appear to be installed, though!!!)"; fi
	@echo


# "make uninstall" should remove the various parts from their
# installation locations.  BE SURE the *PREFIX variables at the top
# are the same as they were when you installed, of course!!!

uninstall:
	@echo
	@echo "Sorry - uninstall is not implemented yet. :^("
	@echo "Uninstalling Tux Paint should uninstall all of the stamps, though"
	@echo


# Install the stamps:

install-stamps:
	@echo
	@echo "...Installing stamp files..."
	@echo
	@install -d $(DATA_PREFIX)stamps
	@cp -R stamps/* $(DATA_PREFIX)stamps
	@chmod -R a+rX,g-w,o-w $(DATA_PREFIX)stamps

## tuxpaint-stamps 2004-10

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # bill@newbreedsoftware.com
 # http://www.newbreedsoftware.com/tuxpaint/
 
-# September 6, 2002 - January 27, 2003
+# September 6, 2002 - January 14, 2004
 
 
 # Where to install things:
@@ -67,16 +67,16 @@
 
 uninstall:
 	@echo
-	@echo "Sorry - uninstall is not implemented yet. :^("
-	@echo "Uninstalling Tux Paint should uninstall all of the stamps, though"
+	@echo "Removing Tux Paint stamps from $(DATA_PREFIX)"
 	@echo
+	@/bin/rm -r $(DATA_PREFIX)stamps
 
 
 # Install the stamps:
 
 install-stamps:
 	@echo
-	@echo "...Installing stamp files..."
+	@echo "...Installing stamp files... (to $(DATA_PREFIX))"
 	@echo
 	@install -d $(DATA_PREFIX)stamps
 	@cp -R stamps/* $(DATA_PREFIX)stamps

## tuxpaint-stamps 2005.11.25

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,14 @@
 # Tux Paint - A simple drawing program for children.
 # This is a collection of 'rubber stamp' images for Tux Paint.
 
-# Copyright (c) 2003 by Bill Kendrick
+# Copyright (c) 2005 by Bill Kendrick and others
 # bill@newbreedsoftware.com
 # http://www.newbreedsoftware.com/tuxpaint/
 
-# September 6, 2002 - January 14, 2004
+# September 6, 2002 - November 25, 2005
+
+
+VER_DATE=`date +"%Y.%m.%d"`
 
 
 # Where to install things:
@@ -40,6 +43,32 @@
 	@echo "There's no source here, so 'make clean' doesn't make sense!"
 	@echo
 
+
+
+releaseclean:
+	@echo
+	@echo "Cleaning release directory"
+	@echo
+	@rm -rf "build/tuxpaint-stamps-$(VER_DATE)" "build/tuxpaint-stamps-$(VER_DATE).tar.gz"
+	@-if [ -d build ] ; then rmdir build ; fi
+
+releasedir: build/tuxpaint-stamps-$(VER_DATE)
+
+build/tuxpaint-stamps-$(VER_DATE):
+	@echo
+	@echo "Creating release directory"
+	@echo
+	@mkdir -p build/tuxpaint-stamps-$(VER_DATE)
+	@find . -follow \
+		\( -wholename '*/CVS' -o -name .cvsignore -o -name 'build' -o -name '.#*' \) \
+		-prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-stamps-$(VER_DATE)/ \;
+
+release: releasedir
+	@echo
+	@echo "Creating release tarball"
+	@echo
+	@cd build ; \
+		tar -czvf tuxpaint-stamps-$(VER_DATE).tar.gz tuxpaint-stamps-$(VER_DATE)

## tuxpaint-stamps 2009.06.28

=== Makefile ===
# Makefile for tuxpaint-stamps

# Tux Paint - A simple drawing program for children.
# This is a collection of 'rubber stamp' images for Tux Paint.

# Copyright (c) 2002-2006 by Bill Kendrick and others
# bill@newbreedsoftware.com
# http://www.tuxpaint.org/

# September 6, 2002 - September 10, 2006


VER_DATE=`date +"%Y.%m.%d"`


# Where to install things:

PREFIX=/usr/local


# Data:

DATA_PREFIX=$(PREFIX)/share/tuxpaint/


# "make" with no arguments provides info on installing tuxpaint stamps:

all:
	@echo
	@echo "To install these Tux Paint stamps, run the following command(s),"
	@echo "depending on which sets of stamps you'd like to install"
	@echo "(probably as 'root' superuser):"
	@echo
	@echo "  make install-animals    (Birds, fish, dinosaurs, etc.)"
	@echo "  make install-clothes    (Hats, etc.)"
	@echo "  make install-food       (Fruit, vegetables, dessert, etc.)"
	@echo "  make install-hobbies    (Camera, binoculars, etc.)"
	@echo "  make install-household  (Toilet, dishes, garbage can, etc.)"
	@echo "  make install-medical    (Syringe, stethescope, etc.)"
	@echo "  make install-military   (Tanks, etc.)"
	@echo "  make install-naturalforces  (Fire, lightning, etc.)"
	@echo "  make install-people     (Fireman, etc.)"
	@echo "  make install-plants     (Flowers, trees, etc.)"
	@echo "  make install-seasonal   (Christmas, Easter, Hanukkah, etc.)"
	@echo "  make install-space      (Planets, space vehicles, etc.)"
	@echo "  make install-sports     (Balls, tropheys, etc.)"
	@echo "  make install-symbols    (Digits, music, money, shapes, etc.)"
	@echo "  make install-town       (Houses, flags, roadsigns, etc.)"
	@echo "  make install-vehicles   (Cars, construction, air, boats, etc.)"
	@echo
	@echo "Or run 'make install-all' to install all of the above."
	@echo 
	@echo "The stamps will be placed in:"
	@echo "  $(DATA_PREFIX)stamps"
	@echo
	@echo "(Run each 'make install' with 'DATA_PREFIX=path' to override.)"
	@echo
	@if [ -x "`which tuxpaint`" ]; then echo ""; else \
	echo "(Tux Paint doesn't appear to be installed, though!!!)"; \
	echo; fi

install:	all
	@echo
	@echo "NOTE: 'make install' is now deprecated."
	@echo


clean:
	@echo
	@echo "There's no source here, so 'make clean' doesn't make sense!"
	@echo



releaseclean:
	@echo
	@echo "Cleaning release directory"
	@echo
	@rm -rf "build/tuxpaint-stamps-$(VER_DATE)" "build/tuxpaint-stamps-$(VER_DATE).tar.gz"
	@-if [ -d build ] ; then rmdir build ; fi

releasedir: build/tuxpaint-stamps-$(VER_DATE)

build/tuxpaint-stamps-$(VER_DATE):
	@echo
	@echo "Creating release directory"
	@echo
	@mkdir -p build/tuxpaint-stamps-$(VER_DATE)
	@find . -follow \
		\( -wholename '*/CVS' -o -name .cvsignore -o -name 'build' -o -name '.#*' \) \
		-prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-stamps-$(VER_DATE)/ \;
	@sed s/__VER_DATE__/$(VER_DATE)/ < tuxpaint-stamps.spec.in > build/tuxpaint-stamps-$(VER_DATE)/tuxpaint-stamps.spec
	@rm -f build/tuxpaint-stamps-$(VER_DATE)/tuxpaint-stamps.spec.in

release: releasedir
	@echo
	@echo "Creating release tarball"
	@echo
	@cd build ; \
		tar -czvf tuxpaint-stamps-$(VER_DATE).tar.gz tuxpaint-stamps-$(VER_DATE)



# "make uninstall" should remove the various parts from their
# installation locations.  BE SURE the *PREFIX variables at the top
# are the same as they were when you installed, of course!!!

uninstall:
	@echo
	@echo "Removing Tux Paint stamps from $(DATA_PREFIX)"
	@echo
	@/bin/rm -r $(DATA_PREFIX)stamps


# Install the stamps:

install-all:
	@./install-stamps.sh animals $(DATA_PREFIX)
	@./install-stamps.sh clothes $(DATA_PREFIX)
	@./install-stamps.sh food $(DATA_PREFIX)
	@./install-stamps.sh hobbies $(DATA_PREFIX)
	@./install-stamps.sh household $(DATA_PREFIX)
	@./install-stamps.sh medical $(DATA_PREFIX)
	@./install-stamps.sh military $(DATA_PREFIX)
	@./install-stamps.sh naturalforces $(DATA_PREFIX)
	@./install-stamps.sh people $(DATA_PREFIX)
	@./install-stamps.sh plants $(DATA_PREFIX)
	@./install-stamps.sh seasonal $(DATA_PREFIX)
	@./install-stamps.sh space $(DATA_PREFIX)
	@./install-stamps.sh town $(DATA_PREFIX)
	@./install-stamps.sh sports $(DATA_PREFIX)
	@./install-stamps.sh symbols $(DATA_PREFIX)
	@./install-stamps.sh vehicles $(DATA_PREFIX)
	@echo
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-animals:
	@./install-stamps.sh animals $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-clothes:
	@./install-stamps.sh clothes $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-food:
	@./install-stamps.sh food $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-household:
	@./install-stamps.sh household $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-hobbies:
	@./install-stamps.sh hobbies $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-medical:
	@./install-stamps.sh medical $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-military:
	@./install-stamps.sh military $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-naturalforces:
	@./install-stamps.sh naturalforces $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-people:
	@./install-stamps.sh people $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-plants:
	@./install-stamps.sh plants $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-seasonal:
	@./install-stamps.sh seasonal $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-space:
	@./install-stamps.sh space $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-sports:
	@./install-stamps.sh sports $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-symbols:
	@./install-stamps.sh symbols $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-town:
	@./install-stamps.sh town $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

install-vehicles:
	@./install-stamps.sh vehicles $(DATA_PREFIX)
	@./fix-permissions.sh $(DATA_PREFIX)
	@./post-install-message.sh

## tuxpaint-stamps 2014.08.23

=== Makefile ===
--- 
+++ 
@@ -79,9 +79,9 @@
 	@rm -rf "build/tuxpaint-stamps-$(VER_DATE)" "build/tuxpaint-stamps-$(VER_DATE).tar.gz"
 	@-if [ -d build ] ; then rmdir build ; fi
 
-releasedir: build/tuxpaint-stamps-$(VER_DATE)
-
-build/tuxpaint-stamps-$(VER_DATE):
+releasedir: build/tuxpaint-stamps
+
+build/tuxpaint-stamps:
 	@echo
 	@echo "Creating release directory"
 	@echo
@@ -109,7 +109,7 @@
 	@echo
 	@echo "Removing Tux Paint stamps from $(DATA_PREFIX)"
 	@echo
-	@/bin/rm -r $(DATA_PREFIX)stamps
+	-@/bin/rm -r $(DATA_PREFIX)stamps
 
 
 # Install the stamps:

=== debian/changelog ===
tuxpaint-stamps (2014.08.23-1) unstable; urgency=low

  * New upstream release. (Closes: #726421, #722948).
  * Include watch file, thanks to Daniel Leidert <daniel.leidert@wgdd.de>.
    (Closes: #549383).
  * Update watch file to new location.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 26 Oct 2014 10:52:47 -0300

tuxpaint-stamps (2009.06.28-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 09 Aug 2009 12:11:00 -0300

tuxpaint-stamps (2008.03.01-1) unstable; urgency=low

  * New upstream release.
  * Remove dependency on tuxpaint-data.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 14 Jun 2008 19:17:35 -0300

tuxpaint-stamps (2007.07.01-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 03 Jul 2007 22:01:45 -0300

tuxpaint-stamps (2006.10.21-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 22 Oct 2006 12:13:06 -0300

tuxpaint-stamps (2006.10.12-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 15 Oct 2006 11:31:04 -0300

tuxpaint-stamps (2005.11.25-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 10 Jan 2006 15:53:09 -0400

tuxpaint-stamps (2004-10-03-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  7 Oct 2004 10:17:02 -0300

tuxpaint-stamps (2003.12.23-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed, 24 Dec 2003 22:17:11 -0400

tuxpaint-stamps (2003.12.22-1) unstable; urgency=low

  * CVS snapshot (2003.12.XXrc1).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 22 Dec 2003 07:17:47 -0400

tuxpaint-stamps (2003.12.19-1) unstable; urgency=low

  * CVS snapshot (now includes christmas stamps).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 19 Dec 2003 16:31:04 -0400

tuxpaint-stamps (2003.10.31.cvs+christmas-1) unstable; urgency=low

  * CVS snapshot plus Justin Zeigler's christmas stamps.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 31 Oct 2003 22:31:23 -0400

tuxpaint-stamps (2003.02.22-1) unstable; urgency=low

  * New upstream.
  * Oops, forgot to include orig tarball in last release. (Closes: #180136)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 28 Feb 2003 12:57:35 -0400

tuxpaint-stamps (2003.01.28-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat,  1 Feb 2003 15:43:44 -0400

tuxpaint-stamps (2002.11.12-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 12 Nov 2002 08:54:31 -0400

tuxpaint-stamps (2002.11.03-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 11 Nov 2002 22:43:38 -0400

tuxpaint-stamps (2002.10.09-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 10 Oct 2002 07:40:06 -0300

tuxpaint-stamps (2002.10.06-1) unstable; urgency=low

  * New upstream.
  * Include upstream README as it is now no longer completely redundant
    (it mentions the tuxpaint-stamps mailing list).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue,  8 Oct 2002 12:51:21 -0300

tuxpaint-stamps (2002.09.29-2) unstable; urgency=low

  * Added missing upstream changelog.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue,  1 Oct 2002 22:09:57 -0300

tuxpaint-stamps (2002.09.29-1) unstable; urgency=low

  * New upstream.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue,  1 Oct 2002 13:33:06 -0300

tuxpaint-stamps (2002.09.25-1) unstable; urgency=low

  * Initial Release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 26 Sep 2002 21:55:07 -0300

=== debian/control ===
Source: tuxpaint-stamps
Section: graphics
Priority: optional
Build-Depends: debhelper (>> 5)                        
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Standards-Version: 3.9.6

Package: tuxpaint-stamps-default
Architecture: all
Provides: tuxpaint-stamps
Depends: ${misc:Depends}
Recommends: tuxpaint
Description: Stamp files for Tux Paint, a paint program for children
 Tux Paint is meant to be a simple drawing program for young
 children.  It is not meant as a general-purpose drawing tool.
 It IS meant to be fun and easy to use.  Sound effects and a
 cartoon character help let the user know what's going on, and
 keeps them entertained.
 .
 Tux Paint is extensible.  Brushes and "rubber stamp" shapes can be
 dropped in and pulled out.  For example, a teacher can drop in a
 collection of animal shapes and ask their students to draw an
 ecosystem.  Each shape can have a sound which is played, and
 textual facts which are displayed, when the child selects the shape.
 .
 There is no direct access to the computer's underlying intricacies.
 The current image is kept when the program quits, and reappears when
 it is restarted.  Saving images requires no need to create filenames
 or use the keyboard.  Opening an image is done by selecting it from
 a collection of thumbnails.
 .
 This package contains sounds, images and other data for Tux Paint.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=CVS

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) PREFIX=/usr

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install-all PREFIX=$(CURDIR)/debian/tuxpaint-stamps-default/usr


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs docs/TODO.txt docs/README.txt
	dh_installchangelogs docs/CHANGES.txt
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tuxpaint-stamps 2021.06.28

=== debian/changelog ===
tuxpaint-stamps (2021.06.28-1) unstable; urgency=medium

  * Upload to unstable
  * Update copyright years
  * Add lintian override for data that appears to be docs to lintian

 -- Jonathan Carter <jcc@debian.org>  Sun, 05 Sep 2021 20:55:10 +0200

tuxpaint-stamps (2021.06.28-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #988347)
  * Update standards version to 4.6.0
  * Upgrade to debhelper-compat (=13)

 -- Jonathan Carter <jcc@debian.org>  Sun, 05 Sep 2021 16:49:05 +0200

tuxpaint-stamps (2014.08.23-3) unstable; urgency=medium

  * Host packaging in git (salsa.debian.org)
  * Update standards version to 4.1.3
  * Update compat level to 11
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Wed, 14 Feb 2018 11:39:37 +0200

tuxpaint-stamps (2014.08.23-2) unstable; urgency=medium

  * Adopting package (Closes: #848990)
    - Thank you to Ben Armstrong for previously maintaining package
  * Update compat level from 5 to 10
    - Upgrade to clean dh7-style debian/rules file
  * Update standards version to 4.1.0.0
    - Update debian/copyright to copyright-format 1.0

 -- Jonathan Carter <jcc@debian.org>  Wed, 23 Aug 2017 14:02:18 +0200

## tuxpaint-stamps 2021.11.25

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,10 @@
 # Tux Paint - A simple drawing program for children.
 # This is a collection of 'rubber stamp' images for Tux Paint.
 
-# Copyright (c) 2002-2006 by Bill Kendrick and others
-# bill@newbreedsoftware.com
+# Copyright 2002-2021 by various contributors; see CONTRIBUTORS.txt
 # http://www.tuxpaint.org/
 
-# September 6, 2002 - September 10, 2006
+# September 6, 2002 - August 7, 2021
 
 
 VER_DATE=`date +"%Y.%m.%d"`
@@ -87,7 +86,7 @@
 	@echo
 	@mkdir -p build/tuxpaint-stamps-$(VER_DATE)
 	@find . -follow \
-		\( -wholename '*/CVS' -o -name .cvsignore -o -name 'build' -o -name '.#*' \) \
+		\( -wholename '*/.git' -o -name .gitignore -o -name .cvsignore -o -name 'build' -o -name 'tmpdir' -o -name '.#*' \) \
 		-prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-stamps-$(VER_DATE)/ \;
 	@sed s/__VER_DATE__/$(VER_DATE)/ < tuxpaint-stamps.spec.in > build/tuxpaint-stamps-$(VER_DATE)/tuxpaint-stamps.spec
 	@rm -f build/tuxpaint-stamps-$(VER_DATE)/tuxpaint-stamps.spec.in
@@ -215,3 +214,7 @@
 	@./fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
+dmg:
+	@echo "Make sure you move 'Tux Paint Stamps Installer.app' to '$(PWD)' first"
+	@macosx/DMG/build-dmg.sh
+

=== debian/changelog ===
tuxpaint-stamps (2021.11.25-1) unstable; urgency=medium

  * New upstream release
  * Update watch file
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Thu, 06 Jan 2022 11:23:18 +0200

## tuxpaint-stamps 2022.06.04

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 # Copyright 2002-2021 by various contributors; see CONTRIBUTORS.txt
 # http://www.tuxpaint.org/
 
-# September 6, 2002 - August 7, 2021
-
-
-VER_DATE=`date +"%Y.%m.%d"`
+# September 6, 2002 - January 29, 2022
+
+
+VER_DATE=$(shell date +"%Y.%m.%d")
 
 
 # Where to install things:
@@ -65,10 +65,13 @@
 
 
 clean:
-	@echo
-	@echo "There's no source here, so 'make clean' doesn't make sense!"
-	@echo
-
+	$(RM) -r macos/build
+	$(RM) tuxpaint-stamps.tar.gz tuxpaint-stamps.list
+
+
+distclean: clean
+	$(RM) -r *.app
+	$(RM) *.dmg
 
 
 releaseclean:
@@ -214,7 +217,43 @@
 	@./fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
-dmg:
-	@echo "Make sure you move 'Tux Paint Stamps Installer.app' to '$(PWD)' first"
-	@macosx/DMG/build-dmg.sh
-
+
+.PHONY: macos macos-dmg macos-app
+
+macos: TuxPaint-Stamps-$(VER_DATE).dmg
+
+macos-dmg: TuxPaint-Stamps-$(VER_DATE).dmg
+
+macos-app: Tux\ Paint\ Stamps\ Installer.app
+
+TuxPaint-Stamps-$(VER_DATE).dmg: Tux\ Paint\ Stamps\ Installer.app
+	@echo
+	@echo "...Creating DMG Distribution File..."
+	@[ -d "Tux Paint Stamps Installer.app" ] \
+	 && macos/DMG/build-dmg.sh               \
+	 || echo "Please move 'Tux Paint Stamps Installer.app' to '$(PWD)' first"
+
+Tux\ Paint\ Stamps\ Installer.app: tuxpaint-stamps.tar.gz tuxpaint-stamps.list
+	@echo
+	@echo "...Creating macOS App Bundle..."
+	@rm -rf "Tux Paint Stamps Installer.app"
+	@xcodebuild -project "macos/Tux Paint Stamps Installer.xcodeproj" \
+				-scheme "Tux Paint Stamps Installer"                  \
+				-configuration Release                                \
+				CONFIGURATION_BUILD_DIR=build                         \
+				MARKETING_VERSION=$(VER_DATE)                         \
+				build                                                 \
+	&& mv "macos/build/Tux Paint Stamps Installer.app" .
+
+tuxpaint-stamps.tar.gz: stamps
+	@echo
+	@echo "...Creating Stamps Archive Required by macOS App Bundle..."
+	@tar czvf tuxpaint-stamps.tar.gz stamps
+
+tuxpaint-stamps.list: stamps
+	@for set in stamps/*; do              \
+		printf "%s\n" "$${set#stamps/}";  \
+	 done > tuxpaint-stamps.list
+
+
+# vim:noexpandtab

=== debian/changelog ===
tuxpaint-stamps (2022.06.04-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 04 Jul 2022 14:18:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: tuxpaint-stamps
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>> 5)                        
-Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 13)
+Maintainer: Jonathan Carter <jcc@debian.org>
+Uploaders: Debian Junior Maintainers <debianjr-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/debian-jr-team/tuxpaint-stamps
+Vcs-Git: https://salsa.debian.org/debian-jr-team/tuxpaint-stamps.git
 
 Package: tuxpaint-stamps-default
 Architecture: all

=== debian/watch ===
version=4
ftp://ftp.tuxpaint.org/unix/x/tuxpaint/stamps/tuxpaint-stamps-(\d\.\d+\.\d+.*)\.tar.gz debian uupdate
https://sf.net/tuxpaint/tuxpaint-stamps-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tuxpaint-stamps 2024.10.25

=== debian/changelog ===
tuxpaint-stamps (2024.10.25-1) unstable; urgency=medium

  * New upstream release
  * Update watch file to explude zip files

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Jan 2025 14:40:17 +0200

tuxpaint-stamps (2024.01.29-1~exp1) experimental; urgency=medium

  * New upstream release
  * Experimental upload, since we don't yet have an updated tuxpaint
    (pending new dependency)
  * Update standards version to 4.7.0

 -- Jonathan Carter <jcc@debian.org>  Wed, 24 Apr 2024 11:36:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13)
 Maintainer: Jonathan Carter <jcc@debian.org>
 Uploaders: Debian Junior Maintainers <debianjr-maintainers@lists.alioth.debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-jr-team/tuxpaint-stamps
 Vcs-Git: https://salsa.debian.org/debian-jr-team/tuxpaint-stamps.git

## tuxpaint-stamps 2025.03.31

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # Tux Paint - A simple drawing program for children.
 # This is a collection of 'rubber stamp' images for Tux Paint.
 
-# Copyright 2002-2021 by various contributors; see CONTRIBUTORS.txt
-# http://www.tuxpaint.org/
-
-# September 6, 2002 - January 29, 2022
+# Copyright 2002-2023 by various contributors; see CONTRIBUTORS.txt
+# https://tuxpaint.org/
+
+# September 6, 2002 - October 5, 2023
 
 
 VER_DATE=$(shell date +"%Y.%m.%d")
@@ -80,6 +80,7 @@
 	@echo
 	@rm -rf "build/tuxpaint-stamps-$(VER_DATE)" "build/tuxpaint-stamps-$(VER_DATE).tar.gz"
 	@-if [ -d build ] ; then rmdir build ; fi
+	@rm -f "android_packager/app/src/main/assets/stamps.zip"
 
 releasedir: build/tuxpaint-stamps
 
@@ -92,6 +93,7 @@
 		\( -wholename '*/.git' -o -name .gitignore -o -name .cvsignore -o -name 'build' -o -name 'tmpdir' -o -name '.#*' \) \
 		-prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-stamps-$(VER_DATE)/ \;
 	@sed s/__VER_DATE__/$(VER_DATE)/ < tuxpaint-stamps.spec.in > build/tuxpaint-stamps-$(VER_DATE)/tuxpaint-stamps.spec
+	@sed s/__VER_DATE__/$(VER_DATE)/ < win32/tuxpaint-stamps.iss.in > build/tuxpaint-stamps-$(VER_DATE)/win32/tuxpaint-stamps.iss
 	@rm -f build/tuxpaint-stamps-$(VER_DATE)/tuxpaint-stamps.spec.in
 
 release: releasedir
@@ -134,87 +136,87 @@
 	@./install-stamps.sh symbols $(DATA_PREFIX)
 	@./install-stamps.sh vehicles $(DATA_PREFIX)
 	@echo
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-animals:
 	@./install-stamps.sh animals $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-clothes:
 	@./install-stamps.sh clothes $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-food:
 	@./install-stamps.sh food $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-household:
 	@./install-stamps.sh household $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-hobbies:
 	@./install-stamps.sh hobbies $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-medical:
 	@./install-stamps.sh medical $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-military:
 	@./install-stamps.sh military $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-naturalforces:
 	@./install-stamps.sh naturalforces $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-people:
 	@./install-stamps.sh people $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-plants:
 	@./install-stamps.sh plants $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-seasonal:
 	@./install-stamps.sh seasonal $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-space:
 	@./install-stamps.sh space $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-sports:
 	@./install-stamps.sh sports $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-symbols:
 	@./install-stamps.sh symbols $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-town:
 	@./install-stamps.sh town $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh
 
 install-vehicles:
 	@./install-stamps.sh vehicles $(DATA_PREFIX)
-	@./fix-permissions.sh $(DATA_PREFIX)
+	@./tools/fix-permissions.sh $(DATA_PREFIX)
 	@./post-install-message.sh

=== debian/changelog ===
tuxpaint-stamps (2025.03.31-1) unstable; urgency=medium

  * New upstream release (Closes: #1015768)
  * Update standards version to 4.7.2

 -- Jonathan Carter <jcc@debian.org>  Fri, 04 Apr 2025 16:51:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13)
 Maintainer: Jonathan Carter <jcc@debian.org>
 Uploaders: Debian Junior Maintainers <debianjr-maintainers@lists.alioth.debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-jr-team/tuxpaint-stamps
 Vcs-Git: https://salsa.debian.org/debian-jr-team/tuxpaint-stamps.git

## tuxpaint-stamps 2025.05.26

=== debian/changelog ===
tuxpaint-stamps (2025.05.26-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Aug 2025 11:12:35 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	$(MAKE) install-all PREFIX=$(CURDIR)/debian/tuxpaint-stamps-default/usr
	dh_install

=== debian/watch ===
version=4
ftp://ftp.tuxpaint.org/unix/x/tuxpaint/stamps/tuxpaint-stamps-(\d\.\d+\.\d+.*)\.tar.gz debian uupdate
https://sf.net/tuxpaint/tuxpaint-stamps-(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
